aboutsummaryrefslogtreecommitdiffstats
path: root/brew.sh
diff options
context:
space:
mode:
authorMathias Bynens <mathias@qiwi.be>2014-10-30 10:59:19 +0100
committerMathias Bynens <mathias@qiwi.be>2014-10-30 10:59:19 +0100
commit91be10dcee350465566a48cbe303686d2d989d6d (patch)
treee7bb1864de624ce6c09921c2afaae3c6742c5ce8 /brew.sh
parent6d4f94df9072221e7d3091d65a140ac2597975c6 (diff)
downloaddotfiles-91be10dcee350465566a48cbe303686d2d989d6d.tar.gz
dotfiles-91be10dcee350465566a48cbe303686d2d989d6d.tar.bz2
dotfiles-91be10dcee350465566a48cbe303686d2d989d6d.zip
Use `brew.sh` instead of `Brewfile`
Also, remove `Caskfile` since I didn’t use it. Closes #428.
Diffstat (limited to 'brew.sh')
-rwxr-xr-xbrew.sh95
1 files changed, 95 insertions, 0 deletions
diff --git a/brew.sh b/brew.sh
new file mode 100755
index 0000000..16ca215
--- /dev/null
+++ b/brew.sh
@@ -0,0 +1,95 @@
+#!/usr/bin/env bash
+
+# Install command-line tools using Homebrew.
+
+# Ask for the administrator password upfront.
+sudo -v
+
+# Keep-alive: update existing `sudo` time stamp until `.osx` has finished.
+while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null &
+
+# Make sure we’re using the latest Homebrew.
+brew update
+
+# Upgrade any already-installed formulae.
+brew upgrade
+
+# Install GNU core utilities (those that come with OS X are outdated).
+# Don’t forget to add `$(brew --prefix coreutils)/libexec/gnubin` to `$PATH`.
+brew install coreutils
+sudo ln -s /usr/local/bin/gsha256sum /usr/local/bin/sha256sum
+
+# Install some other useful utilities like `sponge`.
+brew install moreutils
+# Install GNU `find`, `locate`, `updatedb`, and `xargs`, `g`-prefixed.
+brew install findutils
+# Install GNU `sed`, overwriting the built-in `sed`.
+brew install gnu-sed --default-names
+# Install Bash 4.
+# Note: don’t forget to add `/usr/local/bin/bash` to `/etc/shells` before
+# running `chsh`.
+brew install bash
+brew install bash-completion
+
+# Install `wget` with IRI support.
+brew install wget --enable-iri
+
+# Install RingoJS and Narwhal.
+# Note that the order in which these are installed is important;
+# see http://git.io/brew-narwhal-ringo.
+brew install ringojs
+brew install narwhal
+
+# Install more recent versions of some OS X tools.
+brew install vim --override-system-vi
+brew install homebrew/dupes/grep
+brew install homebrew/dupes/screen
+brew install homebrew/php/php55 --with-gmp
+
+# Install some CTF tools; see https://github.com/ctfs/write-ups.
+brew install bfg
+brew install binutils
+brew install binwalk
+brew install cifer
+brew install dex2jar
+brew install dns2tcp
+brew install fcrackzip
+brew install foremost
+brew install hashpump
+brew install hydra
+brew install john
+brew install knock
+brew install nmap
+brew install pngcheck
+brew install socat
+brew install sqlmap
+brew install tcpflow
+brew install tcpreplay
+brew install tcptrace
+brew install ucspi-tcp # `tcpserver` etc.
+brew install xpdf
+brew install xz
+
+# Install other useful binaries.
+brew install ack
+#brew install exiv2
+brew install git
+brew install imagemagick --with-webp
+brew install lynx
+brew install p7zip
+brew install pigz
+brew install pv
+brew install rename
+brew install rhino
+brew install tree
+brew install webkit2png
+brew install zopfli
+
+# Install Node.js. Note: this installs `npm` too, using the recommended
+# installation method.
+brew install node
+
+brew install homebrew/versions/lua52
+
+# Remove outdated versions from the cellar.
+brew cleanup